Skip to main content
`Ctrl`+`K`

# MatColoringDestroy

Destroys the matrix coloring context

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringDestroy(MatColoring *mc)

Collective

## Input Parameter

- mc - the `MatColoring` context

## See Also

`MatColoring`, `MatColoringCreate()`, `MatColoringApply()`

## Level

beginner

## Location

src/mat/graphops/color/interface/matcoloring.c

## Examples

src/mat/tutorials/ex16.c

## Implementations

MatColoringDestroy_Greedy() in src/mat/graphops/color/impls/greedy/greedy.c
MatColoringDestroy_JP() in src/mat/graphops/color/impls/jp/jp.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages